org.eclipse.cdt.core.dom.ast

## Interface ICPPASTCompletionContext

All Superinterfaces:
  IASTCompletionContext

    public interface ICPPASTCompletionContext
    extends IASTCompletionContext

Interface for a code completion's context. Used for context-sensitive finding of bindings with a certain name or prefix, including additional lookup requested namespaces.

Since:
  5.3

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinding[]` `findBindings(IASTName n, boolean isPrefix, java.lang.String[] namespaces)` Returns bindings that start with the given name or prefix, only considering those that are valid for this context, including those in the requested set of namespaces.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTCompletionContext

`findBindings`

### Method Detail

#### findBindings

    IBinding[] findBindings(IASTName n,
                            boolean isPrefix,
                            java.lang.String[] namespaces)

Returns bindings that start with the given name or prefix, only considering those that are valid for this context, including those in the requested set of namespaces.

Parameters:
  `n` - the name containing a prefix
  `namespaces` - the qualified names of additional namespaces to check for bindings, or null
Returns:
  valid bindings in this context for the given prefix